Subject: Re: bug#26500: [PATCH] gnu: Add mcomix.

From: ng0 <[email-masked]>
Date: Sat, 15 Apr 2017 09:09:32 +0000

Arun Isaac transcribed 1.8K bytes:
> 
> > Hello, here is mcomix.
> 
> Thanks for the patch!
> 
> > I tested it with zip, CBZ, 7zip pdf files, and a directory with normal
> > images, they all work fine.
> >
> > I also tried unrar, but couldn't extract any archive with it, neither
> > through mcomix, nor manually through the commandline tool, so this might
> > be a separate problem.
> 
> I'm yet to actually test running the application. Will do so and get
> back in a while. Meanwhile, other changes.
> 
> > +    ;; Python 2.5 or newer (Python 3 and up is not supported)
> > +    (arguments `(#:python ,python-2))
> 
> You can remove the comment. It's more or less obvious from the
> 'arguments' section that mcomix needs python 2.

No, I think a short comment behind or above the #:python keyword is
necessary, in case someone in the future wonders "Hey, why do we package
this for python 2 only and not for python 3" even if both languages are
developed in parallel.
 
> > +    (propagated-inputs `(("python2-pygtk" ,python2-pygtk)
> > +                         ("gtk+" ,gtk+)
> > +                         ("python2-pillow" ,python2-pillow)))
> 
> These are inputs not propagated-inputs. propagated-inputs are only
> required for python libraries. For python applications such as mcomix,
> the executable gets wrapped in a script which sets the correct
> PYTHONPATH variable. Look at $out/bin/mcomix and $out/bin/.mcomix-real
> 
> Also, is the gtk+ dependency required? mcomix seems to build and run
> fine on my system without it.
> 
> > +    (description "A customizable image viewer that specializes as
> > +a comic and manga reader.  It supports a variety of container formats
> > +including CBR, CBZ, CB7, CBT, LHA.
> 
> Please make this "MComix is a ... ". See
> https://www.gnu.org/software/guix/manual/html_node/Synopses-and-Descriptions.html
> 
> > +    (license license:gpl2)))
> 
> This should be license:gpl2+. When no license version is explicitly
> specified in the source headers, it is of the "or later" variant. See
> https://lists.gnu.org/archive/html/guix-devel/2017-02/msg00026.html
> 
> Also, add a copyright header for yourself at the top of the source file
> (gnu/packages/image-viewers.scm in this case).
> 
> 
> 

-- 
PGP and more: https://people.pragmatique.xyz/ng0/